consumer_sdl.c
[melted] / src / modules / sdl / configure
index 1c40fac..8d2a204 100755 (executable)
@@ -1,11 +1,20 @@
-#!/bin/bash
+#!/bin/sh
 
 if [ "$help" != "1" ]
 then
 
-cat << EOF >> ../consumers.dat
-sdl                            libmltsdl.so
-EOF
+       sdl-config --version > /dev/null 2>&1
+       disable_sdl=$?
+
+       if [ "$disable_sdl" = "0" ]
+       then
+               echo "sdl                               libmltsdl$LIBSUF" >> ../consumers.dat
+               echo "sdl_preview               libmltsdl$LIBSUF" >> ../consumers.dat
+               echo "sdl_still                 libmltsdl$LIBSUF" >> ../consumers.dat
+       else
+               echo "- sdl development libs not found: disabling"
+               touch ../disable-sdl
+       fi
 
 fi